// EasyOCDoc.h : interface of the CEasyOCDoc class
//


#pragma once


class CEasyOCDoc : public CDocument
{
protected: // create from serialization only
	CEasyOCDoc();
	DECLARE_DYNCREATE(CEasyOCDoc)

// Attributes
public:
   Handle_AIS_InteractiveContext m_AISContext;
   Handle_V3d_Viewer m_3dViewer;
// Operations
public:

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CEasyOCDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};


